<?php

/*** Post Settings ***/

if ( ! function_exists( 'evently_mikado_map_post_meta' ) ) {
	function evently_mikado_map_post_meta() {
		
		$post_meta_box = evently_mikado_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Post', 'evently' ),
				'name'  => 'post-meta'
			)
		);
		
		evently_mikado_create_meta_box_field(
			array(
				'name'          => 'mkdf_blog_single_sidebar_layout_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Sidebar Layout', 'evently' ),
				'description'   => esc_html__( 'Choose a sidebar layout for Blog single page', 'evently' ),
				'default_value' => '',
				'parent'        => $post_meta_box,
				'options'       => array(
					''                 => esc_html__( 'Default', 'evently' ),
					'no-sidebar'       => esc_html__( 'No Sidebar', 'evently' ),
					'sidebar-33-right' => esc_html__( 'Sidebar 1/3 Right', 'evently' ),
					'sidebar-25-right' => esc_html__( 'Sidebar 1/4 Right', 'evently' ),
					'sidebar-33-left'  => esc_html__( 'Sidebar 1/3 Left', 'evently' ),
					'sidebar-25-left'  => esc_html__( 'Sidebar 1/4 Left', 'evently' )
				)
			)
		);
		
		$evently_custom_sidebars = evently_mikado_get_custom_sidebars();
		if ( count( $evently_custom_sidebars ) > 0 ) {
			evently_mikado_create_meta_box_field( array(
				'name'        => 'mkdf_blog_single_custom_sidebar_area_meta',
				'type'        => 'selectblank',
				'label'       => esc_html__( 'Sidebar to Display', 'evently' ),
				'description' => esc_html__( 'Choose a sidebar to display on Blog single page. Default sidebar is "Sidebar"', 'evently' ),
				'parent'      => $post_meta_box,
				'options'     => evently_mikado_get_custom_sidebars(),
				'args' => array(
					'select2' => true
				)
			) );
		}
		
		evently_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_blog_list_featured_image_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Blog List Image', 'evently' ),
				'description' => esc_html__( 'Choose an Image for displaying in blog list. If not uploaded, featured image will be shown.', 'evently' ),
				'parent'      => $post_meta_box
			)
		);
		
		evently_mikado_create_meta_box_field(
			array(
				'name'          => 'mkdf_blog_masonry_gallery_fixed_dimensions_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Dimensions for Fixed Proportion', 'evently' ),
				'description'   => esc_html__( 'Choose image layout when it appears in Masonry lists in fixed proportion', 'evently' ),
				'default_value' => 'default',
				'parent'        => $post_meta_box,
				'options'       => array(
					'default'            => esc_html__( 'Default', 'evently' ),
					'large-width'        => esc_html__( 'Large Width', 'evently' ),
					'large-height'       => esc_html__( 'Large Height', 'evently' ),
					'large-width-height' => esc_html__( 'Large Width/Height', 'evently' )
				)
			)
		);
		
		evently_mikado_create_meta_box_field(
			array(
				'name'          => 'mkdf_blog_masonry_gallery_original_dimensions_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Dimensions for Original Proportion', 'evently' ),
				'description'   => esc_html__( 'Choose image layout when it appears in Masonry lists in original proportion', 'evently' ),
				'default_value' => 'default',
				'parent'        => $post_meta_box,
				'options'       => array(
					'default'     => esc_html__( 'Default', 'evently' ),
					'large-width' => esc_html__( 'Large Width', 'evently' )
				)
			)
		);
		
		evently_mikado_create_meta_box_field(
			array(
				'name'          => 'mkdf_show_title_area_blog_meta',
				'type'          => 'select',
				'default_value' => '',
				'label'         => esc_html__( 'Show Title Area', 'evently' ),
				'description'   => esc_html__( 'Enabling this option will show title area on your single post page', 'evently' ),
				'parent'        => $post_meta_box,
				'options'       => evently_mikado_get_yes_no_select_array()
			)
		);

		do_action('evently_mikado_action_blog_post_meta', $post_meta_box);
	}
	
	add_action( 'evently_mikado_action_meta_boxes_map', 'evently_mikado_map_post_meta', 20 );
}
