<?php

if ( ! function_exists( 'evently_mikado_set_header_top_menu_type_global_option' ) ) {
	/**
	 * This function set header type value for global header option map
	 */
	function evently_mikado_set_header_top_menu_type_global_option( $header_types ) {
		$header_types['header-top-menu'] = array(
			'image' => MIKADO_FRAMEWORK_HEADER_TYPES_ROOT . '/header-top-menu/assets/img/header-top-menu.png',
			'label' => esc_html__( 'Top Menu', 'evently' )
		);
		
		return $header_types;
	}
	
	add_filter( 'evently_mikado_filter_header_type_global_option', 'evently_mikado_set_header_top_menu_type_global_option' );
}

if ( ! function_exists( 'evently_mikado_set_header_top_menu_type_meta_boxes_option' ) ) {
	/**
	 * This function set header type value for header meta boxes map
	 */
	function evently_mikado_set_header_top_menu_type_meta_boxes_option( $header_type_options ) {
		$header_type_options['header-top-menu'] = esc_html__( 'Top Menu', 'evently' );
		
		return $header_type_options;
	}
	
	add_filter( 'evently_mikado_filter_header_type_meta_boxes', 'evently_mikado_set_header_top_menu_type_meta_boxes_option' );
}

if ( ! function_exists( 'evently_mikado_set_show_dep_options_for_header_top_menu' ) ) {
	/**
	 * This function set show container values when this header type is selected for header type global option
	 */
	function evently_mikado_set_show_dep_options_for_header_top_menu( $show_dep_options ) {
		$show_containers   = array();
		$show_containers[] = '#mkdf_menu_area_container';
		$show_containers[] = '#mkdf_logo_area_container';
		$show_containers[] = '#mkdf_panel_main_menu';
		
		$show_containers = apply_filters( 'evently_mikado_filter_show_dep_options_for_header_top_menu', $show_containers );
		
		$show_dep_options['header-top-menu'] = implode( ',', $show_containers );
		
		return $show_dep_options;
	}
	
	add_filter( 'evently_mikado_filter_header_type_show_global_option', 'evently_mikado_set_show_dep_options_for_header_top_menu' );
}

if ( ! function_exists( 'evently_mikado_set_hide_dep_options_for_header_top_menu' ) ) {
	/**
	 * This function set hide container values when this header type is selected for header type global option
	 */
	function evently_mikado_set_hide_dep_options_for_header_top_menu( $hide_dep_options ) {
		$hide_containers   = array();
		$hide_containers[] = '#mkdf_panel_fullscreen_menu';
		$hide_containers[] = '#mkdf_header_behaviour';
		$hide_containers[] = '#mkdf_panel_sticky_header';
		$hide_containers[] = '#mkdf_panel_fixed_header';
		
		$hide_containers = apply_filters( 'evently_mikado_filter_hide_dep_options_for_header_top_menu', $hide_containers );
		
		$hide_dep_options['header-top-menu'] = implode( ',', $hide_containers );
		
		return $hide_dep_options;
	}
	
	add_filter( 'evently_mikado_filter_header_type_hide_global_option', 'evently_mikado_set_hide_dep_options_for_header_top_menu' );
}

if ( ! function_exists( 'evently_mikado_set_show_dep_options_for_header_top_menu_meta_boxes' ) ) {
	/**
	 * This function set show container values when this header type is selected for header type meta boxes map
	 */
	function evently_mikado_set_show_dep_options_for_header_top_menu_meta_boxes( $show_dep_options ) {
		$show_containers   = array();
		$show_containers[] = '#mkdf_logo_area_container';
		$show_containers[] = '#mkdf_menu_area_container';
		
		$show_containers = apply_filters( 'evently_mikado_filter_show_dep_options_for_header_top_menu_meta_boxes', $show_containers );
		
		$show_dep_options['header-top-menu'] = implode( ',', $show_containers );
		
		return $show_dep_options;
	}
	
	add_filter( 'evently_mikado_filter_header_type_show_meta_boxes', 'evently_mikado_set_show_dep_options_for_header_top_menu_meta_boxes' );
}

if ( ! function_exists( 'evently_mikado_set_hide_dep_options_for_header_top_menu_meta_boxes' ) ) {
	/**
	 * This function set hide container values when this header type is selected for header type meta boxes map
	 */
	function evently_mikado_set_hide_dep_options_for_header_top_menu_meta_boxes( $hide_dep_options ) {
		$hide_containers = apply_filters( 'evently_mikado_filter_hide_dep_options_for_header_top_menu_meta_boxes', $hide_containers = array() );
		
		$hide_dep_options['header-top-menu'] = implode( ',', $hide_containers );
		
		return $hide_dep_options;
	}
	
	add_filter( 'evently_mikado_filter_header_type_hide_meta_boxes', 'evently_mikado_set_hide_dep_options_for_header_top_menu_meta_boxes' );
}

if ( ! function_exists( 'evently_mikado_set_hide_dep_options_header_top_menu' ) ) {
	/**
	 * This function is used to hide all containers/panels for admin options when this header type is selected
	 */
	function evently_mikado_set_hide_dep_options_header_top_menu( $hide_dep_options ) {
		$hide_dep_options[] = 'header-top-menu';
		
		return $hide_dep_options;
	}
	
	// header global panel options
	add_filter( 'evently_mikado_filter_top_header_hide_global_option', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	
	// header global panel meta boxes
	add_filter( 'evently_mikado_filter_top_header_hide_meta_boxes', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	
	// header behavior panel options
	add_filter( 'evently_mikado_filter_header_behavior_hide_global_option', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	add_filter( 'evently_mikado_filter_fixed_header_hide_global_option', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	add_filter( 'evently_mikado_filter_sticky_header_hide_global_option', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	
	// header behavior panel meta boxes
	add_filter( 'evently_mikado_filter_header_behavior_hide_meta_boxes', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	
	// header types panel options
	add_filter( 'evently_mikado_filter_full_screen_menu_hide_global_option', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	add_filter( 'evently_mikado_filter_header_centered_hide_global_option', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	add_filter( 'evently_mikado_filter_header_standard_hide_global_option', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	add_filter( 'evently_mikado_filter_header_vertical_hide_global_option', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	add_filter( 'evently_mikado_filter_header_vertical_menu_hide_global_option', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	
	// header types panel meta boxes
	add_filter( 'evently_mikado_filter_header_centered_hide_meta_boxes', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	add_filter( 'evently_mikado_filter_header_standard_hide_meta_boxes', 'evently_mikado_set_hide_dep_options_header_top_menu' );
	add_filter( 'evently_mikado_filter_header_vertical_hide_meta_boxes', 'evently_mikado_set_hide_dep_options_header_top_menu' );
}