<?php
/**
 * Single Product tabs
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/tabs/tabs.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.8.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Filter tabs and allow third parties to add their own.
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>
	
	<div class="mkdf-tabs woocommerce-tabs mkdf-tabs-simple ui-tabs ui-widget ui-widget-content ui-corner-all">
		<ul class="mkdf-tabs-nav clearfix">
			<?php foreach($tabs as $key => $tab) : ?>
				<?php $title = apply_filters('woocommerce_product_'.$key.'_tab_title', esc_html($tab['title']), $key); ?>
				<li><a href="#tab-<?php echo esc_attr($key); ?>"><?php echo esc_html($title); ?></a></li>
			<?php endforeach; ?>
			<li class="mkdf-tabs-nav-line"></li>
		</ul>
		<?php foreach($tabs as $key => $tab) : ?>
			<div class="mkdf-tab-container entry-content" id="tab-<?php echo esc_attr($key); ?>"><?php call_user_func($tab['callback'], $key, $tab) ?></div>
		<?php endforeach; ?>
	</div>

<?php endif; ?>
